summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xrun-tests.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 97cb1931..9456273a 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -8,6 +8,11 @@
# if anything is different.
#
+if [ ! -e "../libdcp-test" ]; then
+ echo "Test corpus not found"
+ exit 1
+fi
+
if [ "$1" == "--debug" ]; then
shift
LD_LIBRARY_PATH=build/src:build/asdcplib/src gdb --args build/test/tests
@@ -32,11 +37,6 @@ fi
rm -f build/test/info.log
-if [ ! -e "../libdcp-test" ]; then
- echo "Test corpus not found"
- exit 1
-fi
-
for d in `find ../libdcp-test -mindepth 1 -maxdepth 1 -type d | sort`; do
if [ `basename $d` != ".git" ]; then
LD_LIBRARY_PATH=build/src:build/asdcplib/src build/tools/dcpinfo -s $d >> build/test/info.log